package com.atlassian.stash.internal.server.analytics;

import com.atlassian.analytics.api.annotations.EventName;
import com.atlassian.event.api.AsynchronousPreferred;
import com.atlassian.bitbucket.event.ApplicationEvent;

import javax.annotation.Nonnull;
import java.util.Map;

@AsynchronousPreferred
@EventName("stash.instance.attributes.system")
public class SystemAttributesAnalyticsEvent extends ApplicationEvent {

    private final Map<String, Object> os;
    private final Map<String, Object> system;

    public SystemAttributesAnalyticsEvent(@Nonnull Object source, @Nonnull Map<String, Object> os,
                                          @Nonnull Map<String, Object> system) {
        super(source);
        this.os = os;
        this.system = system;
    }

    @Nonnull
    public Map<String, Object> getOs() {
        return os;
    }

    @Nonnull
    public Map<String, Object> getSystem() {
        return system;
    }
}
